%define tainted 0

%if "%distro_section" == "tainted"
%global tainted 1
%endif

Name:           qmmp
Version:        0.7.2
Release:        %mkrel 2
Summary:        Qt-based Multimedia Player
License:        GPLv2+
Group:          Sound/Players
URL:            http://qmmp.ylsoftware.com/
Source0:        http://qmmp.ylsoftware.com/files/%{name}-%{version}.tar.bz2
BuildRequires:  qt4-devel
BuildRequires:  qt4-linguist
BuildRequires:  libflac-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  udisks2-devel
BuildRequires:  wildmidi-devel >= 0.2.3.4
BuildRequires:  libgme-devel
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(enca) >= 1.9
BuildRequires: pkgconfig(flac)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libavformat)
BuildRequires: pkgconfig(libavutil)
BuildRequires: pkgconfig(libbs2b) >= 3.0.0
BuildRequires: pkgconfig(libcddb)
BuildRequires: pkgconfig(libcdio)
BuildRequires: pkgconfig(libcdio_cdda)
BuildRequires: pkgconfig(libcdio_paranoia)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libmms) >= 0.4
BuildRequires: pkgconfig(libmodplug)
BuildRequires: pkgconfig(libprojectM)
BuildRequires: pkgconfig(libpulse-simple) >= 0.9.15
BuildRequires: pkgconfig(mad)
BuildRequires: pkgconfig(ogg)
BuildRequires: pkgconfig(opus) >= 1.0.2
BuildRequires: pkgconfig(opusfile) >= 0.2
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(taglib) >= 1.6
BuildRequires: pkgconfig(vorbis)
BuildRequires: pkgconfig(vorbisfile)
BuildRequires: pkgconfig(wavpack)
BuildRequires: pkgconfig(x11)
%if %{tainted}
BuildRequires:  libfaad2-devel
%endif
BuildRequires:  cmake

Requires:       unzip
Requires:       wildmidi

%rename %{name}-jack
%rename %{name}-oss
%rename %{name}-musepack
%rename %{name}-ffmpeg
%rename %{name}-wavpack
%rename %{name}-modplug
%rename %{name}-plugins

%define major             0
%define libname           %mklibname %{name} %{major}
%define libname_devel     %mklibname %{name} -d
%define libnameui         %mklibname qmmpui %{major}
%define libnameui_devel   %mklibname qmmpui -d

%rename %{libname}
%rename %{libnameui}

%description
This program is an audio-player, written with help of Qt library. The user
interface is similar to winamp or xmms.

Main opportunities:
* winamp and xmms skins support;
* plugins support;
* MPEG1 layer 1/2/3 support;
* Ogg Vorbis support;
* native FLAC support;
* Musepack support;
* WavePack support;
* ModPlug support;
* WMA support;
* PCM WAVE support;
* AlSA sound output;
* JACK sound output;
* OSS sound output;
* PulseAudio output;
* Last.fm scrobbler;
* D-Bus support;
* Spectrum Analyzer;
* sample rate conversion;
%if %{tainted}
* AAC support;
%endif
* streaming support (MP3, Vorbis via IceCast/ShoutCast).

%if %{tainted}
This package is in the 'tainted' section because it is built with AAC support
of libfaad2.
%endif

%prep
%setup -q

%build
%cmake_qt4 -DUSE_HAL:BOOL=OFF -DUSE_OSS:BOOL=ON
%make

%install
%makeinstall_std -C build

rm -fr %{buildroot}%{_libdir}/*.so %{buildroot}%{_libdir}/pkgconfig \
	%{buildroot}%{_includedir}

%files
%doc AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/%{name}
%{_libdir}/*.so.*
%{_libdir}/%{name}


%changelog
* Sun Sep 01 2013 fwang <fwang> 0.7.2-2.mga4
+ Revision: 473899
- rebuild for new cdio

* Fri Aug 30 2013 fwang <fwang> 0.7.2-1.mga4.tainted
+ Revision: 473234
- new version 0.7.2

* Sun Jul 21 2013 fwang <fwang> 0.7.1-2.mga4.tainted
+ Revision: 456750
- update file list
- do not package devel files
- cleanup br

* Sun Jul 21 2013 fwang <fwang> 0.7.1-1.mga4
+ Revision: 456732
- new version 0.7.1

* Sat Mar 30 2013 kamil <kamil> 0.6.8-1.mga4.tainted
+ Revision: 406690
- new version and fix core dumps problems

* Sun Jan 13 2013 umeabot <umeabot> 0.6.5-3.mga3.nonfree
+ Revision: 379854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.6.5-2.mga3
+ Revision: 341738
- rebuild for new ffmpeg

* Tue Dec 11 2012 kamil <kamil> 0.6.5-1.mga3.tainted
+ Revision: 329777
- new version 0.6.5

* Sun Dec 02 2012 kamil <kamil> 0.6.4-2.mga3.tainted
+ Revision: 324757
- rebuild for Mga3 Beta1

* Mon Nov 05 2012 fwang <fwang> 0.6.4-1.mga3.tainted
+ Revision: 314315
- update rpm group
- new version 0.6.4

* Sun Aug 19 2012 kamil <kamil> 0.6.3-1.mga3.tainted
+ Revision: 282102
- new version 0.6.4

* Fri Aug 03 2012 kamil <kamil> 0.6.2-1.mga3.tainted
+ Revision: 278050
- new version 0.6.2

* Thu Jul 26 2012 fwang <fwang> 0.6.1-1.mga3.tainted
+ Revision: 274442
- new version 0.6.1

* Sat Jun 30 2012 kamil <kamil> 0.6.0-1.mga3.tainted
+ Revision: 265621
- new version 0.6.0

* Sat Jun 16 2012 fwang <fwang> 0.5.6-1.mga3.tainted
+ Revision: 260933
- new version 0.5.6

* Wed May 30 2012 kamil <kamil> 0.5.5-1.mga3.tainted
+ Revision: 251811
- new version 0.5.5

* Wed Mar 07 2012 kamil <kamil> 0.5.4-1.mga2.tainted
+ Revision: 220923
- new version 0.5.4

* Mon Feb 06 2012 kamil <kamil> 0.5.3-2.mga2.tainted
+ Revision: 205478
- bump release to be updateable from Mga 1

* Mon Feb 06 2012 kamil <kamil> 0.5.3-1.mga2.tainted
+ Revision: 205122
- new version 0.5.3

* Fri Feb 03 2012 kamil <kamil> 0.5.1-3.mga2.tainted
+ Revision: 204241
- enable ACC support only in tainted
- add AAC support
- adapt .spec for Mageia
- imported package qmmp

